// creator  : weidu.exe (version 23100)
// argument : IRONM4.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~IRONM4~

IF ~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #7662 /* ~ I'd expected as much. Let him vent his bile on me if he so wills it. I am not the child that I used to be. <CHARNAME>, let us enter.~ */
  IF ~~ THEN REPLY #7672 /* ~Finger of Death (Necromancy) 
Level: 7
Range: Visual sight of caster 
Duration: Permanent
Casting Time: 5
Area of Effect: 1 Creature
Saving Throw: Neg

The finger of death spell snuffs out the victim's life force.  The caster points his finger at the victim after the incantation is complete, effectively ripping the life out of his body unless a save vs. spells is made at -2.  A creature that successfully saves still receives 2d8 +1 points of damage.~ */ GOTO 1
  IF ~~ THEN REPLY #7673 /* ~Saving Grace +3~ */ GOTO 2
  IF ~~ THEN REPLY #7674 /* ~Shield of the Lost +2~ */ GOTO 5
END

IF ~~ THEN BEGIN 1 // from: 2.2 0.0
  SAY #7663 /* ~Incendiary Cloud~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #7664 /* ~Incendiary Cloud (Evocation) 
Level: 8
Range: Visual Sight of Caster
Duration: 1 turn 
Casting Time: 8
Area of Effect: 30' radius cloud 
Saving Throw: 1/2

This spell creates a billowing cloud of roaring flame.  Any in the area of the spell must leave the cloud immediately, or suffer 1-4 points of fire damage per level of the caster each round while in the area of effect with a save vs. spells for half.
~ */
  IF ~~ THEN REPLY #7675 /* ~Medium Shield +2~ */ GOTO 3
  IF ~~ THEN REPLY #7676 /* ~Fortress Shield +3~ */ GOTO 4
  IF ~~ THEN REPLY #7677 /* ~Large Shield +2~ */ GOTO 1
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #7665 /* ~Finger of Death~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from: 2.1
  SAY #7666 /* ~Auto-Paused: Scripted~ */
  IF ~~ THEN DO ~CreateCreature("IRONGU",[936.836])
CreateCreature("IRONGU",[936.836])
CreateCreature("IRONGU",[936.836])
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 0.2
  SAY #7667 /* ~I don't have time to speak to you right now. My apologies, but I will return later.~ */
  IF ~~ THEN REPLY #7678 /* ~Large Shield +2~ */ GOTO 6
  IF ~~ THEN REPLY #7679 /* ~Abi-Dalzim's Horrid Wilting~ */ GOTO 7
  IF ~~ THEN REPLY #7680 /* ~Abi-Dalzim's Horrid Wilting (Necromancy) 
Level: 8
Range: Visual sight of caster 
Duration: Instantaneous
Casting Time: 8
Area of Effect: 30-ft. cube
Saving Throw: Half

This spell evaporates moisture from the bodies of every living creature within the area of effect, inflicting 1d8 damage per level of the caster.  Affected creatures are allowed a saving throw vs. spell for half damage.  This spell is especially devastating to water elementals and plant creatures, who receive a penalty of -2 to their saving throws.  This spell will not harm party members.~ */ GOTO 8
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #7668 /* ~I don't have time to speak to you right now. My apologies, but I will return later.~ */
  IF ~~ THEN JOURNAL #7683 /* ~Allies recruited for the struggle against Bodhi.

I asked Prelate Wessalen of the Most Noble Order of the Radiant Heart for assistance in the battle against Bodhi, but he has refused.  His decision is final.~ */ GOTO 9
END

IF ~~ THEN BEGIN 7 // from: 5.1
  SAY #7669 /* ~I don't have time to speak to you right now. My apologies, but I will return later.~ */
  IF ~~ THEN GOTO 9
END

IF ~~ THEN BEGIN 8 // from: 5.2
  SAY #7670 /* ~Dragon Scale Shield +2~ */
  IF ~~ THEN JOURNAL #7684 /* ~The prophecy of Sekolah

In the underground Sahuagin city, I played along with King Ixilthetocal's little schemes regarding my so-called place in Sekolah's prophecy until I tired of it and told him I was no longer interested.  I would rather battle my way out of this place.~ */ GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.0 7.0 6.0
  SAY #7671 /* ~Sentinel +4~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 10 // from:
  SAY #7681 /* ~It will be as though we have never met.~ */
  IF ~~ THEN EXIT
END

IF ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 11 // from:
  SAY #7685 /* ~Small Shield +2~ */
  IF ~~ THEN JOURNAL #7686 /* ~Anomen returns home after his sister's death.

Anomen murdered Saerk's daughter, and then we did battle with Saerk, his son, and his guards.  The son, Yusef, got away, but Saerk is dead.  Anomen is in a dark mood.  All that remains is to tell Lord Cor that the deed is complete.~ */ EXIT
END

IF ~~ THEN BEGIN 12 // from:
  SAY #9208 /* ~Excuse me, good gnome.   I have a question that I've been meaning to ask for some time.  These flash-bombs of yours...~ [YOSHIM51] */
  IF ~~ THEN EXIT
END
